> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a LOA configuration

> Retrieve a specific LOA configuration.



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/numbers-identity/porting-documents.yml get /porting/loa_configurations/{id}
openapi: 3.1.0
info:
  title: Telnyx Porting Documents API
  version: 2.0.0
  description: API for LOA configurations, templates, and additional documents.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /porting/loa_configurations/{id}:
    get:
      tags:
        - Porting Orders
      summary: Retrieve a LOA configuration
      description: Retrieve a specific LOA configuration.
      operationId: GetLoaConfiguration
      parameters:
        - name: id
          description: Identifies a LOA configuration.
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          $ref: '#/components/responses/ShowPortingLOAConfiguration'
        '404':
          description: Resource not found
        '500':
          description: Internal server error
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            const loaConfiguration = await
            client.porting.loaConfigurations.retrieve(
              '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
            );


            console.log(loaConfiguration.data);
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            loa_configuration = client.porting.loa_configurations.retrieve(
                "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
            )
            print(loa_configuration.data)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tloaConfiguration, err := client.Porting.LoaConfigurations.Get(context.TODO(), \"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e\")\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", loaConfiguration.Data)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.porting.loaconfigurations.LoaConfigurationRetrieveParams;

            import
            com.telnyx.sdk.models.porting.loaconfigurations.LoaConfigurationRetrieveResponse;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    LoaConfigurationRetrieveResponse loaConfiguration = client.porting().loaConfigurations().retrieve("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e");
                }
            }
        - lang: Ruby
          source: >-
            require "telnyx"


            telnyx = Telnyx::Client.new(api_key: "My API Key")


            loa_configuration =
            telnyx.porting.loa_configurations.retrieve("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")


            puts(loa_configuration)
        - lang: CLI
          source: |-
            telnyx porting:loa-configurations retrieve \
              --api-key 'My API Key' \
              --id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e
components:
  responses:
    ShowPortingLOAConfiguration:
      description: Successful response
      content:
        application/json:
          schema:
            type: object
            properties:
              data:
                $ref: '#/components/schemas/PortingLOAConfiguration'
  schemas:
    PortingLOAConfiguration:
      type: object
      properties:
        id:
          type: string
          description: Uniquely identifies the LOA configuration.
          format: uuid
          example: eef3340b-8903-4466-b445-89b697315a3a
        company_name:
          type: string
          description: The name of the company
          example: Telnyx
        organization_id:
          type: string
          description: The organization that owns the LOA configuration
          example: f1486bae-f067-460c-ad43-73a92848f902
        name:
          type: string
          description: The name of the LOA configuration
          example: My LOA Configuration
        logo:
          type: object
          description: The logo to be used in the LOA.
          properties:
            document_id:
              type: string
              format: uuid
              description: Identifies the document that contains the logo.
              example: f1486bae-f067-460c-ad43-73a92848f902
            content_type:
              type: string
              description: The content type of the logo.
              enum:
                - image/png
              example: image/png
        address:
          type: object
          description: The address of the company.
          properties:
            street_address:
              type: string
              description: The street address of the company
              example: 600 Congress Avenue
            extended_address:
              type: string
              description: The extended address of the company
              example: 14th Floor
            city:
              type: string
              description: The locality of the company
              example: Austin
            state:
              type: string
              description: The administrative area of the company
              example: TX
              pattern: ^[A-Z]{2}$
            zip_code:
              type: string
              description: The postal code of the company
              example: '78701'
              pattern: ^[0-9]{5}(?:-[0-9]{4})?$
            country_code:
              type: string
              description: The country code of the company
              example: US
              pattern: ^[A-Z]{2}$
        contact:
          type: object
          description: The contact information of the company.
          properties:
            email:
              type: string
              description: The email address of the contact
              example: testing@telnyx.com
            phone_number:
              type: string
              description: The phone number of the contact
              example: '+12003270001'
              pattern: ^\+\d{11,15}$
        record_type:
          type: string
          example: porting_loa_configuration
          description: Identifies the type of the resource.
          readOnly: true
        created_at:
          type: string
          format: date-time
          description: ISO 8601 formatted date indicating when the resource was created.
          example: '2021-03-19T10:07:15.527000Z'
        updated_at:
          type: string
          format: date-time
          description: ISO 8601 formatted date indicating when the resource was updated.
          example: '2021-03-19T10:07:15.527000Z'
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````